import { jsx as o } from "@emotion/react/jsx-runtime";
import { TEST_PROP_ID as c } from "../../../../../../test/constants_no_mock.js";
import { getNameDataTestId as m } from "../../../../tests/utils.js";
import { ContainerArrowIconRootStyled as a } from "../../../../slots/SideBarSlots.js";
import p from "../../../../hooks/useSideBar/index.js";
import { ArrowChevronUpFill as s } from "@m4l/icons";
import { Icon as l } from "@m4l/base";
function R(r) {
  const { openState: t, active: e, icon: n } = r, { classes: i } = p();
  return /* @__PURE__ */ o(
    a,
    {
      className: i.containerArrowIconRoot,
      ...process.env.NODE_ENV !== "production" ? { [c]: m("arrowIconRoot") } : {},
      children: /* @__PURE__ */ o(
        l,
        {
          src: n ?? /* @__PURE__ */ o(s, {}),
          rotationAngle: t ? 0 : 180,
          color: e ? "primary.enabled" : "text.primary"
        }
      )
    }
  );
}
export {
  R as ArrowIcon
};
